#
# spec file for package webalizer (Version 2.01)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  apache-devel-packages autoconf db db-devel freetype2 gd gd-devel libjpeg libpng-devel-packages mm xf86

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86 XFree86-devel XFree86-libs apache apache-devel autoconf automake binutils db-devel expat fontconfig fontconfig-devel freetype2 gcc gd gd-devel gdbm gettext libjpeg libpng libpng-devel libtool mm mm-devel mod_ssl perl rpm

Name:         webalizer
%define editlvl 10
License:      LGPL
Group:        Productivity/Networking/Web/Utilities
Provides:     webalize
Obsoletes:    webalize
Autoreqprov:  on
Version:      2.01
Release:      725.2.4
URL:          http://www.mrunix.net/webalizer/
Summary:      Web server log file analysis program
Source:       %{name}-%{version}-%{editlvl}-src.tar.bz2
Patch:        %{name}-%{version}-%{editlvl}.diff
Patch1:       %{name}-%{version}-%{editlvl}-ia64.diff
Patch2:       %{name}-%{version}-%{editlvl}-overflow.diff
Patch3:       %{name}-%{version}-%{editlvl}-dns.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%define apache_serverroot %(apxs -q datadir 2>/dev/null || apxs -q PREFIX)

%description
The Webalizer is a web server log file analysis program which produces
usage statistics in HTML format for viewing with a browser.  The
results are presented in both columnar and graphical format, which
facilitates interpretation.  Yearly, monthly, daily and hourly usage
statistics are presented, along with the ability to display usage by
site, URL, referrer, user agent (browser) and country (user agent and
referrer are only available if your web server procduces Combined log
format files).

The Webalizer supports CLF (common log format) log files, as well as
Combined log formats as defined by NCSA and others, and variations of
these which it attempts to handle intelligently.



Authors:
--------
    Bradford L. Barrett <brad@usagl.net>

%prep
%setup -n %{name}-%{version}-%{editlvl}
%patch
%patch1
%patch2
%patch3

%build
%{suse_update_config -f}
autoconf
CFLAGS="$RPM_OPT_FLAGS -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64" ./configure --prefix=/usr \
	    --with-gdlib=%{_libdir} \
	    --with-gd=/usr/include/gd \
	    --mandir=%{_mandir} \
	    --enable-dns \
	    %{_target_cpu}-suse-linux
make LIBNAME=%{_lib}

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/etc
install -d -m 755 $RPM_BUILD_ROOT/%{_mandir}/man1
make "DESTDIR=$RPM_BUILD_ROOT" install
install -d -m 755 $RPM_BUILD_ROOT%{apache_serverroot}/htdocs/webalizer
install -d -m 755 $RPM_BUILD_ROOT/var/lib/webalizer

%clean
rm -rf $RPM_BUILD_ROOT

%preun
rm -f var/lib/webalizer/*

%files
%defattr(-,root,root)
%config /etc/webalizer.conf
%dir %{apache_serverroot}/htdocs/webalizer
%doc %{_mandir}/man1/webalizer*
%doc CHANGES COPYING Copyright README README.FIRST country-codes.txt
/usr/bin/*
/var/lib/webalizer

%changelog -n webalizer
* Mon Apr 25 2005 - mjancar@suse.cz
- extract relevant part from the debian patch (#64009)
* Tue Dec 21 2004 - tcrhak@suse.cz
- applied debian patch, fixes DNS support and uses gettext (bug #49009)
* Thu Jan 09 2003 - tcrhak@suse.cz
- added LFS support
* Sun Dec 22 2002 - tcrhak@suse.cz
- update to version 2.01-10
- buffer overflow security fix (patch overflow)
* Fri Aug 02 2002 - ro@suse.de
- adapt server root
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 31 2002 - tcrhak@suse.cz
- fixed security patch (don't break search strings at chars
  with ascii > 127
- used macros %%{_libdir} and %%{_lib}
* Tue Oct 30 2001 - tcrhak@suse.cz
- update to 2.01-9 (includes sec-fix.patch)
* Wed Jul 18 2001 - adostal@suse.cz
- fixed neededforbuild
- clear requires
* Wed Jun 06 2001 - schwab@suse.de
- Remove stupid casts.
* Wed May 23 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
* Wed Mar 21 2001 - ro@suse.de
- added freetype2 to neededforbuild
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Thu Nov 16 2000 - cihlar@suse.cz
- renamed webalize -> webalizer
- update to version 2.01-6
- fixed neededforbuild
* Wed Nov 15 2000 - ro@suse.de
- fixed neededforbuild gdlib -> gd gd-devel
* Thu Oct 05 2000 - cihlar@suse.cz
- update to version 2.01.03
* Tue Aug 29 2000 - cihlar@suse.cz
- fixed webalize.conf
- bzipped sources
* Wed Apr 26 2000 - cihlar@suse.cz
- added BuildRoot
* Thu Apr 13 2000 - ro@suse.de
- added mm to neededforbuild
* Mon Mar 13 2000 - grimmer@suse.de
- fixed path to Apache logfiles (have been moved to
  /var/log/httpd for SuSE Linux 6.4)
* Wed Jan 26 2000 - grimmer@suse.de
- specfile updates (added URL, Group)
- Now uses macro for man page locations
* Mon Oct 11 1999 - ro@suse.de
- converted to use png with gdlib 1.7.3
* Sat Oct 02 1999 - grimmer@suse.de
- Update to 1.30-04
- Specfile cleanups
- added docu
* Mon Sep 20 1999 - ro@suse.de
- added requires http_daemon
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue May 04 1999 - grimmer@suse.de
- Update to 1.22-03
- corrected sample configuration comment
- specfile tweaks for new version
* Thu Apr 29 1999 - grimmer@suse.de
- corrected typo in config-file
* Tue Oct 06 1998 - grimmer@suse.de
- new version 1.20-07
- specfile cleanup
* Thu Feb 12 1998 - ro@suse.de
- new package by bb for web server log file analysis
